summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorDafydd Harries <dafydd.harries@collabora.co.uk>2007-02-02 09:37:00 +0000
committerDafydd Harries <dafydd.harries@collabora.co.uk>2007-02-02 09:37:00 +0000
commitfe1b6ab2ba01299fc6e78e3c19db9fd74f0e1975 (patch)
tree92f067c0356d20d92ea4db4b13b273fc52313a8a /scripts
parent29f4f0c313bdb5ffb514a4d02eb65ba70f45595b (diff)
downloadlibnice-fe1b6ab2ba01299fc6e78e3c19db9fd74f0e1975.tar.gz
check-symbols.sh: check for existence of symbol file
darcs-hash:20070202093743-c9803-0c17d9eb26d5da68d62e6a98c613c316f9963b12.gz
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/check-symbols.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/scripts/check-symbols.sh b/scripts/check-symbols.sh
index 237e58a..a726757 100755
--- a/scripts/check-symbols.sh
+++ b/scripts/check-symbols.sh
@@ -14,6 +14,11 @@ symbol_file="$2"
make_symbol_list=`dirname $0`/make-symbol-list.sh
test -f "$make_symbol_list" || exit 1
+if ! test -f "$symbol_file"; then
+ echo "$symbol_file doesn't exist"
+ exit 1
+fi
+
# stop if there are no differences
sh $make_symbol_list "$lib" | cmp -s "$symbol_file" - && exit 0